=== packages/invirt-host-master/debian/changelog ===
invirt-host-master (0.0.2) unstable; urgency=low

  * remove bitrotten sipb-xen-clvm-config

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:45:28 -0400

invirt-host-master (0.0.1) unstable; urgency=low

  * First version as a real package rather than equivs.
  * Rename from sipb-xen-host-master.

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:05:16 -0400
