=== packages/sipb-xen-base/debian/changelog ===
sipb-xen-base (8.29) unstable; urgency=low

  * gen-files.sh: degrade gracefully to plain-old sh

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 20:06:54 -0400

sipb-xen-base (8.28) unstable; urgency=low

  * Factor out more common initscript code:
    std-init.sh replaces the usual Debian boilerplate

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 15:33:08 -0400

sipb-xen-base (8.27) unstable; urgency=low

  * Use invoke-rc.d in invirt-reload so that policy-rc.d is respected

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:19:49 -0400

sipb-xen-base (8.26) unstable; urgency=low

  * Move invirt-reload to /usr/sbin

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 12:53:18 -0400

sipb-xen-base (8.25) unstable; urgency=low

  * Factor out common initscript code, provide it here

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:06:59 -0400

sipb-xen-base (8.24) unstable; urgency=low

  * Switch to using a setup.py file with CDBS's Python support

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 05:22:49 -0400

sipb-xen-base (8.23) unstable; urgency=low

  * Now that we're using Python 2.5, we can actually write with statements

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 03:32:00 -0400

sipb-xen-base (8.22) unstable; urgency=low

  * Please - anything but etch. Anything!

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:50:30 -0400

sipb-xen-base (8.21) unstable; urgency=low

  * update sources.list.d/sipb-xen.list for prod and hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:06:52 -0400

sipb-xen-base (8.20) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:51:11 -0400

sipb-xen-base (8.19) hardy; urgency=low

  * depend on invirt-config, which is provided by xvm-devconfig
    and xvm-prodconfig.

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:03:54 +0000

sipb-xen-base (8.18) unstable; urgency=low

  * Use production k5login
  * Include openafs component

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:37:01 -0400

sipb-xen-base (8.17) unstable; urgency=low

  * removed the `mako` program since python-mako already includes a
    mako-render

 -- Yang Zhang <y_z@mit.edu>  Wed, 13 Aug 2008 01:45:26 -0400

sipb-xen-base (8.16) unstable; urgency=low

  * added `mako` program for processing templates in invirt packages

 -- Yang Zhang <y_z@mit.edu>  Tue, 12 Aug 2008 16:00:43 -0400

sipb-xen-base (8.15) unstable; urgency=low

  * put invirt-getconf in /usr/bin

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 21:58:36 -0400

sipb-xen-base (8.14) unstable; urgency=low

  * using correct default paths in invirt-getconf
  * fixed os.rename import bug

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:29:56 -0400

sipb-xen-base (8.13) unstable; urgency=low

  * fix an error message

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 23:04:07 -0400

sipb-xen-base (8.12) unstable; urgency=low

  [ Greg Price ]
  * add --ls and some convenience features to invirt-getconf:
    formatting composite nodes as yaml, allowing the root
  * fix bug in late-import of yaml in invirt.config
  * use yaml.CSafeDumper and yaml.CSafeLoader everywhere
  
  [ Yang Zhang ]
  * added shared lock around cache-reading transaction

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 22:11:15 -0400

sipb-xen-base (8.11) unstable; urgency=low

  * sped up invirt.config module load time by rearranging imports
  * no longer removing the lock file

 -- Yang Zhang <y_z@mit.edu>  Wed, 30 Jul 2008 21:55:23 -0400

sipb-xen-base (8.10) unstable; urgency=low

  * added file locking around cache

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 22:35:25 -0400

sipb-xen-base (8.9) unstable; urgency=low

  * moved more generic code into `common` package
  * silently fail if cache fails
  * load the configuration on module load
  * produce a struct-based representation of the configuration
  * allowing full exception messages for OSErrors (default behavior)
  * added some dependencies specs

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 01:03:16 -0400

sipb-xen-base (8.8) unstable; urgency=low

  * added timestamp-based JSON caching of configuration for faster loading
  * exposed (more) options to command-line frontend
  * improved error messages/handling/help
  * removed all python 2.5-isms
  * reformatted to fit project style conventions

 -- Yang Zhang <y_z@mit.edu>  Mon, 28 Jul 2008 12:25:03 -0400

sipb-xen-base (8.7) unstable; urgency=low

  * back to 2.4 compatibility

 -- Greg Price <price@mit.edu>  Mon, 28 Jul 2008 07:44:27 -0400

sipb-xen-base (8.6) unstable; urgency=low

  * switching to python 2.5 only
  * added y_z to .k5login

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 20:23:54 -0400

sipb-xen-base (8.5) unstable; urgency=low

  * using python 2.5
  * initial working version of invirt-getconf that reads & navigates YAML

 -- Yang Zhang <y_z@linerva.mit.edu>  Sun, 27 Jul 2008 20:12:28 -0400

sipb-xen-base (8.4) unstable; urgency=low

  [ Greg Price ]
  * begin a Python package 'invirt'

  [ Yang Zhang ]
  * added invirt-getconf to read configuration files

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 19:10:10 -0400

sipb-xen-base (8.3) unstable; urgency=low

  * add invirt-reload to regenerate and reload configs

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:35:42 -0400

sipb-xen-base (8.2) unstable; urgency=low

  * leave out debathena-system so we get only the packages we ask for

 -- Greg Price <price@mit.edu>  Sun, 20 Jul 2008 13:58:52 -0400

sipb-xen-base (8.1) unstable; urgency=low

  * include debathena to make stuff like kerberos config easier

 -- Greg Price <price@mit.edu>  Sat, 19 Jul 2008 23:16:47 -0400

sipb-xen-base (8) unstable; urgency=low

  * update .k5login to match black-mesa

 -- Greg Price <price@mit.edu>  Sun,  4 May 2008 20:28:28 -0400

sipb-xen-base (7) unstable; urgency=low

  * include backports.org
  * sources.list.d doesn't actually need a .sources.list, just .list


