=== packages/invirt-host-master/debian/control ===
Source: invirt-host-master
Section: base
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.8.0

Package: invirt-host-master
Architecture: all
Description: Master metapackage for Invirt hosts
 This package depends on everything an Invirt host needs.
Depends: invirt-xen-config,
 invirt-console-host,
 invirt-remote-host,
 sipb-xen-base,
 sipb-xen-autoinstaller,
 sipb-xen-dhcp,
 sipb-xen-vnc-server,
 debathena-kerberos-config,
 debathena-ssh-server-config,
 screen,
