=== packages/invirt-remote-server/debian/control ===
Source: invirt-remote-server
Section: servers
Priority: important
Maintainer: invirt@mit.edu
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: invirt-remote-server
Architecture: all
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon, debathena-kerberos-config, fuse-utils, openssh-server, python-routefs, invirt-database, sipb-xen-base, remctl-server, remctl-client
Description: Invirt remote-control server
 This package should be installed to set up the remote-control server.
