=== packages/sipb-xen-base/debian/control ===
Source: sipb-xen-base
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), python-all-dev, python-support, python-setuptools, python-debian, python-apt
Standards-Version: 3.8.0

Package: sipb-xen-base
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-json (>= 3.4-2), python-yaml (>= 3.05), python-mako (>= 0.2.2), invirt-config
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Base configuration required for all SIPB xen servers
 This package includes apt configuration, .k5login and other files that
 should be synchronized among all our servers.
 Installing this on a non-sipb-xen machine would be very anti-social.
